> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Balance Sheet

> This endpoint retrieves fundamental balance sheet measures for a company, including assets, liabilities, and equity across reporting periods.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/balance-sheet/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/balance-sheet/query:
    post:
      tags:
        - Financials & Ratios
      summary: Balance Sheet
      description: >-
        This endpoint retrieves fundamental balance sheet measures for a
        company, including assets, liabilities, and equity across reporting
        periods.
      operationId: query_balance_sheet_v1_balance_sheet_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicBalanceSheetQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicBalanceSheetResponse'
components:
  schemas:
    PublicBalanceSheetQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/Identifier'
          description: >-
            Object specifying which identifier you are using to request the
            balance sheet. You must supply one type and its corresponding value.
        period:
          $ref: '#/components/schemas/AllowedPeriods'
          description: >-
            Select whether the balance sheet to be provided are on an annual or
            quarterly basis.
          default: quarter
          examples:
            - annual
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
          description: >-
            Maximum number of balance sheets to return. If omitted, all balance
            sheets are returned.
          default: 20
          examples:
            - 20
      type: object
      required:
        - identifier
      title: PublicBalanceSheetQuery
    PublicBalanceSheetResponse:
      properties:
        results:
          $ref: '#/components/schemas/BalanceSheet'
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: PublicBalanceSheetResponse
    Identifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            The identifier namespace. Currently only `rp_entity_id` is
            supported.
          default: rp_entity_id
          examples:
            - rp_entity_id
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: Identifier
    AllowedPeriods:
      type: string
      enum:
        - annual
        - quarter
      title: AllowedPeriods
    BalanceSheet:
      properties:
        rp_entity_id:
          type: string
          title: Rp Entity Id
          description: The RavenPack entity ID of the company.
          examples:
            - 4A6F00
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: The target identifier ID of the company.
          examples:
            - GOOGL
        fields:
          items:
            type: string
          type: array
          title: Fields
          description: The fields of the balance sheet.
          examples:
            - - FISCAL_PERIOD_END_DATE
              - REPORTED_CURRENCY
              - CIK
              - FILING_DATE
              - ACCEPTED_DATE
              - FISCAL_YEAR
              - PERIOD
              - CASH_AND_CASH_EQUIVALENTS
              - SHORT_TERM_INVESTMENTS
              - CASH_AND_SHORT_TERM_INVESTMENTS
              - NET_RECEIVABLES
              - ACCOUNTS_RECEIVABLES
              - OTHER_RECEIVABLES
              - INVENTORY
              - PREPAIDS
              - OTHER_CURRENT_ASSETS
              - TOTAL_CURRENT_ASSETS
              - PROPERTY_PLANT_EQUIPMENT_NET
              - GOODWILL
              - INTANGIBLE_ASSETS
              - GOODWILL_AND_INTANGIBLE_ASSETS
              - LONG_TERM_INVESTMENTS
              - TAX_ASSETS
              - OTHER_NON_CURRENT_ASSETS
              - TOTAL_NON_CURRENT_ASSETS
              - OTHER_ASSETS
              - TOTAL_ASSETS
              - TOTAL_PAYABLES
              - ACCOUNT_PAYABLES
              - OTHER_PAYABLES
              - ACCRUED_EXPENSES
              - SHORT_TERM_DEBT
              - CAPITAL_LEASE_OBLIGATIONS_CURRENT
              - TAX_PAYABLES
              - DEFERRED_REVENUE
              - OTHER_CURRENT_LIABILITIES
              - TOTAL_CURRENT_LIABILITIES
              - LONG_TERM_DEBT
              - CAPITAL_LEASE_OBLIGATIONS_NON_CURRENT
              - DEFERRED_REVENUE_NON_CURRENT
              - DEFERRED_TAX_LIABILITIES_NON_CURRENT
              - OTHER_NON_CURRENT_LIABILITIES
              - TOTAL_NON_CURRENT_LIABILITIES
              - OTHER_LIABILITIES
              - CAPITAL_LEASE_OBLIGATIONS
              - TOTAL_LIABILITIES
              - TREASURY_STOCK
              - PREFERRED_STOCK
              - COMMON_STOCK
              - RETAINED_EARNINGS
              - ADDITIONAL_PAID_IN_CAPITAL
              - ACCUMULATED_OTHER_COMPREHENSIVE_INCOME_LOSS
              - OTHER_TOTAL_STOCKHOLDERS_EQUITY
              - TOTAL_STOCKHOLDERS_EQUITY
              - TOTAL_EQUITY
              - MINORITY_INTEREST
              - TOTAL_LIABILITIES_AND_TOTAL_EQUITY
              - TOTAL_INVESTMENTS
              - TOTAL_DEBT
              - NET_DEBT
        values:
          items:
            items:
              anyOf:
                - type: string
                - type: integer
                - type: number
            type: array
          type: array
          title: Values
          description: The values of the balance sheet.
          examples:
            - - '2025-06-30'
              - USD
              - '0001652044'
              - '2025-07-24'
              - '2025-07-23T19:44:01'
              - 2025
              - Q2
              - 21036000000
              - 74112000000
              - 95148000000
              - 55048000000
              - 55048000000
              - 0
              - 0
              - 0
              - 16020000000
              - 166216000000
              - 217486000000
              - 32335000000
              - 0
              - 32335000000
              - 52574000000
              - 19289000000
              - 14153000000
              - 335837000000
              - 0
              - 502053000000
              - 9133000000
              - 8347000000
              - 786000000
              - 12168000000
              - 4107000000
              - 0
              - 786000000
              - 4969000000
              - 56933000000
              - 87310000000
              - 23607000000
              - 13954000000
              - 0
              - 0
              - 14266000000
              - 51827000000
              - 0
              - 11952000000
              - 139137000000
              - 0
              - 0
              - 12104000000
              - 275760000000
              - 77179000000
              - -2127000000
              - 0
              - 362916000000
              - 362916000000
              - 0
              - 502053000000
              - 126686000000
              - 41668000000
              - 20632000000
            - - '2025-03-31'
              - USD
              - '0001652044'
              - '2025-04-25'
              - '2025-04-24T21:05:29'
              - 2025
              - Q1
              - 23264000000
              - 72064000000
              - 95328000000
              - 51000000000
              - 51000000000
              - 0
              - 0
              - 0
              - 15724000000
              - 162052000000
              - 198784000000
              - 32173000000
              - 0
              - 32173000000
              - 51029000000
              - 18386000000
              - 12950000000
              - 313322000000
              - 0
              - 475374000000
              - 22546000000
              - 8497000000
              - 14049000000
              - 46682000000
              - 1000000000
              - 0
              - 9773000000
              - 4908000000
              - 16518000000
              - 91654000000
              - 10886000000
              - 11678000000
              - 0
              - 0
              - 15889000000
              - 38453000000
              - 0
              - 11678000000
              - 130107000000
              - 0
              - 0
              - 86725000000
              - 262628000000
              - 0
              - -4086000000
              - 0
              - 345267000000
              - 345267000000
              - 0
              - 475374000000
              - 123093000000
              - 23564000000
              - 300000000
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
        - fields
        - values
      title: BalanceSheet
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````